<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">CURP</h3>
        <div class="row">
            <div class="col-6 mx-auto my-3">
            </div>
        </div>
        <div class="row">
            <p class="text-2 tex-muted curp-subtitle">
                Ingresa tu CURP.
            </p>
        </div>
        
        <div class="form-group">
            <input autocomplete="off" value="{{curpInput}}" placeholder="Ingresa tu curp" class="form-control"  type="text" id="curpInput" maxlength="18" (keyup.enter)="aceptar()">
            <small class="form-text text-muted" id="errorCurp" *ngIf="errorCurp">El curp no es válido, intenta de nuevo</small> 
        </div>

        <p> 
            <button class="btn btn-sm btn-outline-secondary btn-block btnSpanURL"><a href="https://www.gob.mx/curp/" target="_blank">No te acuerdas de tu CURP, puedes consultarla aquí</a></button> 
        </p>

        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Continuar</button>
        </p>                       
    </div>
</div>